import { jsx } from "react/jsx-runtime";
import { TokenNBT as TokenNBT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNBT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NBT", "data-name": "TokenNBT", ...props, children: /* @__PURE__ */ jsx(TokenNBT$1, { variant }) });
  }
);
TokenNBT.displayName = "TokenNBT";
Object.assign(TokenNBT, { isGdsIcon: true });
export {
  TokenNBT
};
